Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.util
Class ServerController

    java.lang.Object
      org.wso2.wsas.util.ServerController

All Implemented Interfaces:
  java.lang.Runnable

    public class ServerController

extends java.lang.Object
implements java.lang.Runnable

ServerController listens to incoming commands on a designated socket and executes those commands.

Field Summary
`static java.lang.String` | `LOCAL_HOST_IP`
`static java.lang.String` | `RESTART_COMMAND`
`static java.net.ServerSocket` | `serverSocket`
`static java.lang.String` | `SHUTDOWN_COMMAND`

Constructor Summary
`ServerController()`
`ServerController(Controllable controllable)`

Method Summary
`int` | `getPort()`
`void` | `restartServer()`
`void` | `run()`
`void` | `setPort(int port)`
`void` | `shutDownServer()` send the shutdown command to server listen port

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCAL_HOST_IP

    public static final java.lang.String LOCAL_HOST_IP

See Also:
  Constant Field Values

### SHUTDOWN_COMMAND

    public static final java.lang.String SHUTDOWN_COMMAND

See Also:
  Constant Field Values

### RESTART_COMMAND

    public static final java.lang.String RESTART_COMMAND

See Also:
  Constant Field Values

### serverSocket

    public static java.net.ServerSocket serverSocket

Constructor Detail

### ServerController

    public ServerController(Controllable controllable)

### ServerController

    public ServerController()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### shutDownServer

    public void shutDownServer()

  send the shutdown command to server listen port

### restartServer

    public void restartServer()

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD